Package org.eclipse.jdt.core.refactoring

## Class RenameTypeArguments

- java.lang.Object
- - org.eclipse.ltk.core.refactoring.participants.RefactoringArguments
  - - org.eclipse.ltk.core.refactoring.participants.RenameArguments
    - - org.eclipse.jdt.core.refactoring.RenameTypeArguments

    public class RenameTypeArguments
    extends RenameArguments

Rename type arguments describe the data that a rename type processor provides to its rename type participants.

This class is not intended to be subclassed by clients.

Since:
  1.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`RenameTypeArguments​(String newName, boolean updateReferences, boolean updateSimilarDeclarations, IJavaElement[] similarDeclarations)` Creates new rename type arguments.

### Method Summary

All Methods Instance Methods Concrete Methods
`IJavaElement[]` `getSimilarDeclarations()` Returns the similar declarations that get updated.
`boolean` `getUpdateSimilarDeclarations()` Returns whether similar declaration updating is requested or not.
`String` `toString()`

### Methods inherited from class org.eclipse.ltk.core.refactoring.participants.RenameArguments

`getNewName, getUpdateReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RenameTypeArguments

    public RenameTypeArguments​(String newName,
                               boolean updateReferences,
                               boolean updateSimilarDeclarations,
                               IJavaElement[] similarDeclarations)

Creates new rename type arguments.

Parameters:
  `newName` - the new name of the element to be renamed
  `updateReferences` - `true` if reference updating is requested; `false` otherwise
  `updateSimilarDeclarations` - `true` if similar declaration updating is requested; `false` otherwise
  `similarDeclarations` - the similar declarations that will be updated or `null` if similar declaration updating is not requested

### Method Detail

#### getUpdateSimilarDeclarations

    public boolean getUpdateSimilarDeclarations()

Returns whether similar declaration updating is requested or not.

Returns:
  returns `true` if similar declaration updating is requested; `false` otherwise

#### getSimilarDeclarations

    public IJavaElement[] getSimilarDeclarations()

Returns the similar declarations that get updated. Returns `null` if similar declaration updating is not requested.

Returns:
  the similar elements that get updated

#### toString

    public String toString()

Overrides:
  `toString` in class `RenameArguments`